ProjectControllerCopyIntoProject Method |
POST /Project/Copy/{id}
Copies the contents of a project into another project.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Copy")]
public IActionResult CopyIntoProject(
Guid id,
[FromBodyAttribute] Guid targetProjectId,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Copy")>
Public Function CopyIntoProject (
id As Guid,
<FromBodyAttribute> targetProjectId As Guid,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Copy")]
IActionResult^ CopyIntoProject(
Guid id,
[FromBodyAttribute] Guid targetProjectId,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Copy")>]
member CopyIntoProject :
id : Guid *
[<FromBodyAttribute>] targetProjectId : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the project to duplicate. - targetProjectId
- Type: SystemGuid
The target ID of the target project. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the current session.
Return Value
Type:
IActionResult
A status code indicating success or the reason for failure.
See Also